Skip to content
Navigation

Create update

POST
https://api.sureshake.com/v2/entities/{entityId}/updates

Path parameters

  • entityId
    string
    required
    format: uuid

Request body JSON required

  • title
    string
    required
    maxLength: 200 · minLength: 1
  • summary
    string
    required
    maxLength: 500 · minLength: 1
  • body
    string
    required
    minLength: 1
  • idempotencyKey
    string
    required
    format: uuid
  • visibility
    optional
    public
    or
    followers
    default: "followers"
  • vaultArtifactIds
    optional
    array of
    string
    format: uuid · default: []

Returns

201

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • entityId
      string
      required
      format: uuid
    • title
      string
      required
    • summary
      string
      required
    • body
      string
      or null
      required
    • visibility
      public
      or
      followers
      required
    • status
      draft
      or
      published
      or
      archived
      required
    • followerApprovedByUserId
      string
      or null
      required
    • followerApprovedAt
      string
      or null
      required
      format: date-time
    • vaultArtifactIds
      array of
      string
      required
    • publishedAt
      string
      required
      format: date-time
    • createdBy
      string
      required
    • createdAt
      string
      required
      format: date-time
    • updatedAt
      string
      required
      format: date-time
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close